<?php
  $ruta="../../../";
  include_once($ruta."class/dominio.php");
  $dominio=new dominio;
  include_once($ruta."class/directoriog.php");
  $directoriog=new directoriog;
  include_once($ruta."class/directoriogdetalle.php");
  $directoriogdetalle=new directoriogdetalle;
   include_once($ruta."class/grupo.php");
  $grupo=new grupo;
   include_once($ruta."class/sindicato.php");
  $sindicato=new sindicato;
   include_once($ruta."class/categoriagrupo.php");
  $categoriagrupo=new categoriagrupo;
  include_once($ruta."class/cargo.php");
  $cargo=new cargo;
  include_once($ruta."class/persona.php");
  $persona=new persona;
  include_once($ruta."class/personagrupo.php");
  $personagrupo=new personagrupo;
  include_once($ruta."funciones/funciones.php");
  session_start(); 
  extract($_GET);
   $fechaHoy=date('Y-m-d');
   $idgrupo=dcUrl($lblcode);
   $iddirectoriog=dcUrl($lblcode2);
  $gr=$grupo->muestra($idgrupo); 
  $sin=$sindicato->muestra($gr['idsindicato']);
  $catgru=$categoriagrupo->muestra($gr['idcategoriagrupo']);

  $dirg=$directoriog->muestra($iddirectoriog);
?>
<!DOCTYPE html>
<html lang="es">
<head>
    <?php
      $hd_titulo="DIRECTORIO GESTION ".$dirg['gestion'];
      include_once($ruta."includes/head_basico.php");
      include_once($ruta."includes/head_tabla.php");
      include_once($ruta."includes/head_tablax.php");
    ?>
</head>
<body>
    <?php
      include_once($ruta."head.php");
    ?>
    <div id="main">
      <div class="wrapper">
        <?php
          $idmenu=1113;
          include_once($ruta."aside.php");
        ?>
        <section id="content">
          <!--breadcrumbs start-->
          <div id="breadcrumbs-wrapper">
            <div class="container">
            <div class="row">
              <div class="col s12 m12 l12" style="background: #021e65; text-align: center; color:white; font-size: 25px; border-radius: 5px; border: #CBCBCB 1px solid; font-weight: bold;">
                <a class="btn red" href="../?lblcode=<?php echo $lblcode ?>"><i class="fa fa-reply"></i></a><?php echo $hd_titulo; ?>
              </div>
            </div>
              
            </div>
          </div>
     
          <div class="container">
            <div class="section">
              <div class="row" >
                 <div class="col s12 m12 l12" style="border-radius: 5px; border: 1px solid #E8E8E8; background: white;">
                  <fieldset class="informacion" style="background: #ebebeb;">
                    <legend><div class="titulo">
                      <strong></strong> </div></legend>
                      <div class="col s12 m4 l4">Grupo: <b><?php echo $gr['nombre'] ?></b></div>
                      <div class="col s12 m4 l4">Categoria Grupo: <b><?php echo $catgru['nombre'] ?></b></div>
                      <div class="col s12 m4 l4">Sindicato: <b><?php echo $sin['nombre'] ?></b></div>
                      <div class="col s12 m4 l4">Gestion: <b><?php echo $dirg['gestion'] ?></b></div>
                      <div class="col s12 m4 l4">Fecha Inicio: <b><?php echo $dirg['fechainicio'] ?></b></div>
                      <div class="col s12 m4 l4">Fecha Final: <b><?php echo $dirg['fechafin'] ?></b></div>
                  </fieldset> 
                </div>
                 <div class="col s12 m6 l6" style="border-radius: 5px; border: 1px solid #E8E8E8; background: white;">
                  <form class="col s12" id="idform" action="return false" onsubmit="return false" method="POST">
                     <input id="iddirectoriog" name="iddirectoriog" type="hidden" value="<?php echo $iddirectoriog ?>">
                     <input id="idpersonagrupo" name="idpersonagrupo" type="hidden" value="0">
                     <div class="input-field col s12 m12 l12">
                          <input id="idnombrechofer" name="idnombrechofer" type="text" onclick="cargarchofer();" class="validate">
                          <label for="idnombrechofer">Seleccionar chofer (clic aqui...)</label>
                        </div>
                      <div class="input-field col s12 m12 l12">
                          <label>Cargo</label>
                          <select id="idcargo" name="idcargo">
                            <option value="0">Seleccionar</option>
                            <?php
                              foreach($cargo->mostrarTodo("estado=1") as $f)
                              {
                                ?>
                                  <option value="<?php echo $f['idcargo']; ?>"><?php echo $f['nombre'] ?></option>
                                <?php
                              }
                            ?>
                          </select>
                        </div> 
                        <div class="input-field col s12 m12 l12">
                          <input id="iddescripcion" name="iddescripcion" type="text" class="validate">
                          <label for="iddescripcion">Descripción</label>
                        </div>
                        <div class="input-field col s12 m12 l12" style="text-align: right;">
                           <button class="btn waves-effect waves-light darken-4 blue" onclick="guardarAsig();"><i class="fa fa-save"></i> Guardar</button>
                       </div>
                   </form>
                 </div>
              <div class="col s12 m6 l6" style="border-radius: 5px; border: 1px solid #E8E8E8; background: white;">
                       
                <table id="example22" class="display" cellspacing="0" width="100%">
                  <div class="col s12 m12 l12" style="background: #021e65; text-align: center; color:white; font-size: 18px; border-radius: 5px; border: #CBCBCB 1px solid; font-weight: bold;">
                DIRECTORIO
              </div>
                  <thead>
                    <tr>
                     <th>Nro.</th>
                      <th>Cargo</th>
                      <th>Nombre</th>
                      <th>Carnet</th>
                    </tr>
                  </thead>
                  <tfoot>
                    <tr>
                       <th>Nro.</th>
                       <th>Cargo</th>
                      <th>Nombre</th>
                      <th>Carnet</th>
                    </tr>
                  </tfoot>
                  <tbody>
                    <?php
                    $contar=0;
                    foreach($directoriogdetalle->mostrarTodo("iddirectoriog=".$iddirectoriog." and estado=1") as $dirdet)
                    {        
                      //$lblcode2=ecUrl($f['iddirectoriog']);
                      $pergru2=$personagrupo->muestra($dirdet['idpersonagrupo']);
                      $pergrudir=$persona->muestra($pergru2['idpersona']);
                      $car=$cargo->muestra($dirdet['idcargo']);
                      $contar++;
                                          ?>
                    <tr style="<?php echo $estilo ?>">
                      <td><?php echo $contar ?></td>
                      <td><?php echo $car['nombre'] ?></td>
                      <td><?php echo $pergrudir['nombre'].' '.$pergrudir['paterno'].' '.$pergrudir['materno'] ?></td>
                      <td><?php echo $pergrudir['carnet'].' '.$pergrudir['expedido'] ?></td>
                    </tr>
                    <?php
                      }
                    ?>
                  </tbody>
                </table>
              </div>
              </div>
            </div>     
            </div>
           
          <div class="container">
            <div class="section">           
                <div id="modal4" class="modal">
                  <div class="modal-content">

                      <div class="col s12 m12 l12" style="background: white; text-align: center; color:green; font-size: 25px; border-radius: 5px; border: #CBCBCB 1px solid; font-weight: bold;">
                LISTA DE SOCIOS DEL GRUPO</div>
                        <table id="example4" class="display" cellspacing="0" width="100%">
                  <thead>
                    <tr>                  
                      <th>nombre</th>
                      <th>descripción</th>
                      <th>Acciones</th>   
                    </tr>
                  </thead>
                  <tfoot>
                    <tr>                   
                      <th>nombre</th>
                      <th>descripción</th>
                      <th>Acciones</th>  
                    </tr>
                  </tfoot>
                  <tbody>
                    <?php

                   foreach($personagrupo->mostrarTodo("idgrupo=".$idgrupo." and estado=1") as $f2)//idtipo=142
                    {
                      
                      $pergru=$persona->muestra($f2['idpersona']);
                      $nombrecompleto=$pergru['nombre'].' '.$pergru['paterno'].' '.$pergru['materno'];
                      $dirp=$directoriogdetalle->mostrarUltimo("idpersonagrupo=".$f2['idpersonagrupo']);
                    ?>
                    <tr style=""><!--<?php //echo $estilo ?>-->
                      <td><?php echo $nombrecompleto ?></td>
                      <td><?php echo $pergru['carnet'].' '.$pergru['expedido'] ?></td> 
                      <td> 
                        <?php
                          if (count($dirp)>0) 
                          {
                            echo '...';
                          }else{
                            ?>
                            <button class="btn-jh waves-effect darken-4 green" onclick="choferselect('<?php echo $f2['idpersonagrupo'] ?>','<?php echo $nombrecompleto ?>');"><i class="fa fa-plus"></i> Seleccionar</button>
                             <?php
                          }
                         ?>
                        
                      </td>            
                      
                    </tr>
                    <?php
                      }
                    ?>
                  </tbody>
                </table>
                       
              </div>
                  </div>
                  <div class="modal-footer">
                  </div>
                </div>
            </div>
        </section>
      </div>
    </div>
    <div id="idresultado"></div>
    <!-- end -->
    <!-- jQuery Library -->
    <?php
      include_once($ruta."includes/script_basico.php");
      include_once($ruta."includes/script_tabla.php");
      include_once($ruta."includes/script_tablax.php");
    ?>
    <script type="text/javascript">
    $(document).ready(function() {
      $('#example').DataTable( {
        dom: 'Bfrtip',
        buttons: [
            'copy', 'csv', 'excel', 'pdf', 'print'
        ]
      });
        $('#example1').DataTable( {
        dom: 'Bfrtip',
        buttons: [
            'copy', 'csv', 'excel', 'pdf', 'print'
        ]
      });
          $('#example2').DataTable( {
        dom: 'Bfrtip',
        "order": [[ 0, "asc" ]],
        buttons: [
          //  'copy', 'csv', 'excel', 'pdf', 'print'
        ]
      });
          $('#example4').DataTable( {
        dom: 'Bfrtip',
        "order": [[ 0, "asc" ]],
        buttons: [
          //  'copy', 'csv', 'excel', 'pdf', 'print'
        ]
      });
         
    });
    //0=fecha actual dia
    //1=fecha cambiado
    function guardarAsig()
    {
      //alert('ingresa');
      if (validar()) 
        {          
                swal({
                  title: "¿Esta seguro?",
                  text: "Se asignara al directorio",
                  type: "warning",
                  showCancelButton: true,
                  confirmButtonColor: "#021e65",
                  confirmButtonText: "Registrar",
                   closeOnConfirm: false,
                    showLoaderOnConfirm: true
                }, function () {
                  var str = $( "#idform" ).serialize();
                  $.ajax({
                    url: "guardar.php",
                    type: "POST",
                    data: str,
                    success: function(resp){
                      setTimeout(function(){     
                          console.log(resp);
                          $('#idresultado').html(resp);   
                        }, 100);
                    }
                  }); 
                });
        }else{
          swal("ERROR","Complete con datos","error");
        }
    }
     
function validar(){
        retorno=true;
        carg=$('#idcargo').val();
        pergru=$('#idnombrechofer').val();
        if(pergru=="" || carg=="0"){
          retorno=false;
        }
        return retorno;
      }
  function elim(id)
  {
     swal({
                  title: "¿Esta seguro?",
                  text: "ALIMINAR",
                  type: "warning",
                  showCancelButton: true,
                  confirmButtonColor: "#021e65",
                  confirmButtonText: "Si, estoy seguro",
                   closeOnConfirm: false,
                    showLoaderOnConfirm: true
                }, function () {
                 // var str = $( "#idform" ).serialize();
                  $.ajax({
                    url: "eliminar.php",
                    type: "POST",
                    data: "idcategoria="+id,
                    success: function(resp){
                      //alert(resp);
                      setTimeout(function(){     
                          console.log(resp);
                          $('#idresultado').html(resp);   
                        }, 1000);
                    }
                  }); 
                });
  }
  function cargarchofer()
  {
    //alert('ingrea');
    $('#modal4').openModal();
    
  }
  function choferselect(id,nom)
  {
    $("#idpersonagrupo").val(id);
    $("#idnombrechofer").val(nom);
    $('#modal4').closeModal();
    
  }
  
    </script>
</body>

</html>